import request from '@/utils/request'

// 查询包材库存明细表列表
export function listMatetowsn(query) {
	return request({
		url: '/wms/matetowsn/list',
		method: 'get',
		params: query
	});
}

// 查询包材库存明细表详细
export function getMatetowsn(mateOrderInSnId) {
	return request({
		url: '/wms/matetowsn/' + mateOrderInSnId,
		method: 'get'
		});
}

// 新增包材库存明细表
export function addMatetowsn(data) {
	return request({
		url: '/wms/matetowsn',
		method: 'post',
		data: data
	});
}

// 修改包材库存明细表
export function updateMatetowsn(data) {
	return request({
		url: '/wms/matetowsn',
		method: 'put',
		data: data
	});
}

// 删除包材库存明细表
export function delMatetowsn(mateOrderInSnId) {
	return request({
		url: '/wms/matetowsn/' + mateOrderInSnId,
		method: 'delete'
	});
}
